GLUQUADRICORIENTATION(3G)

NAME
gluQuadricOrientation - specify inside/outside orientation for quadrics

C SPECIFICATION
void gluQuadricOrientation( GLUquadric* quad,
	GLenum orientation )

PARAMETERS

quad
    Specifies the quadrics object (created with gluNewQuadric).

orientation
    Specifies the desired orientation. Valid values are GLU_OUTSIDE and GLU_INSIDE.

DESCRIPTION
gluQuadricOrientation specifies what kind of orientation is desired for quadrics rendered with quad. The orientation values are as follows:

GLU_OUTSIDE
    Quadrics are drawn with normals pointing outward (the initial value).

GLU_INSIDE
    Quadrics are drawn with normals pointing inward.

Note that the interpretation of outward and inward depends on the quadric being drawn.

SEE ALSO
gluNewQuadric(3G), gluQuadricDrawStyle(3G), gluQuadricNormals(3G), gluQuadricTexture(3G)